local PersistentBlocks = 2 -- 
local getValue = -1 -- Value    -1,       ,     .
local function not_persistent()
  return Editor.Set(PersistentBlocks,getValue)==0
end

local GET,GOTO,RESET = 0,1,4
local START_LINE,START_POS,END_LINE,END_POS = 0,1,2,3
local START,END = 0,1

Macro { description="Pos to selection end";
  area="Editor"; key="Right"; flags="EVSelection";
  uid="3F6E7542-5FE9-461A-AD9F-CCB2208914FB";
  condition=not_persistent;
  action=function()
    Editor.Sel(GOTO,END)
    Editor.Sel(RESET)
  end;
}

Macro { description="Pos to selection start";
  area="Editor"; key="Left"; flags="EVSelection";
  uid="4C5A497A-65BB-4DE5-A397-4FEB6297E798";
  condition=not_persistent;
  action=function()
    Editor.Sel(GOTO,START)
    Editor.Sel(RESET)
  end;
}
